Bug 50372 - clicking the titlebar of slide-in window should give the window focus
clicking the titlebar of slide-in window should give the window focus
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Window System
4.x
All All
: P4 (vote)
: 5.x
Assigned To: Stanislav Aubrecht
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 17:13 UTC by athompson
Modified: 2008-12-22 17:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description athompson 2004-10-13 17:13:43 UTC
jdk-1.5
linux-gtk2
CVS 10/13/2004

'nuff said; should be trivial to implement.
Comment 1 athompson 2005-03-02 16:17:51 UTC
actually this is a defect since it's expected UI behavior, but not a p3.
Comment 2 Milos Kleint 2005-04-22 08:54:59 UTC
reassigning
Comment 3 Milos Kleint 2005-11-16 13:47:13 UTC
reassigning -> sabrecht
Comment 4 Stanislav Aubrecht 2005-11-22 17:15:39 UTC
milos, pls review the fix (i'd rather be careful when dealing with focus issues...)

Index: AbstractViewTabDisplayerUI.java
***
D:\projects\nb\core\swing\tabcontrol\src\org\netbeans\swing\tabcontrol\plaf\AbstractViewTabDisplayerUI.java
Base (1.26)
---
D:\projects\nb\core\swing\tabcontrol\src\org\netbeans\swing\tabcontrol\plaf\AbstractViewTabDisplayerUI.java
Locally Modified (Based On 1.26)
***************
***************
*** 639,640 ****
--- 637,647 ----
                  if (change) {
                      getSelectionModel().setSelectedIndex(i);
                      tabState.setSelected(i);
+                     TopComponent tc =
(TopComponent)getDataModel().getTab(i).getComponent();
+                     if( null != tc 
+                         && !tc.isAncestorOf(
KeyboardFocusManager.getCurrentKeyboardFocusManager().getPermanentFocusOwner() ) ) {
+                         tc.requestActive();
+                     }
                  }
              } 
              // update pressed state
Comment 5 Stanislav Aubrecht 2005-11-23 15:35:45 UTC
fixed

Checking in AbstractViewTabDisplayerUI.java;
/cvs/core/swing/tabcontrol/src/org/netbeans/swing/tabcontrol/plaf/AbstractViewTabDisplayerUI.java,v
 <--  AbstractViewTabDisplayerUI.java
new revision: 1.27; previous revision: 1.26
done
Checking in AquaViewTabDisplayerUI.java;
/cvs/core/swing/tabcontrol/src/org/netbeans/swing/tabcontrol/plaf/AquaViewTabDisplayerUI.java,v
 <--  AquaViewTabDisplayerUI.java
new revision: 1.22; previous revision: 1.21
done
Comment 6 Zdenek Konecny 2005-12-12 14:08:18 UTC
verified, build 200512111900


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo